curl --request PUT \
--url https://api.pipecat.daily.co/v1/secrets/{setName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secrets": [
{
"secretKey": "API_KEY",
"secretValue": "your-api-key"
},
{
"secretKey": "DATABASE_URL",
"secretValue": "postgresql://user:pass@host:5432/db"
}
],
"region": "us-west"
}
'{
"status": "OK",
"region": "us-west"
}Secrets
Create or Update Secrets
Create or update a secret set and its values
PUT
/
secrets
/
{setName}
curl --request PUT \
--url https://api.pipecat.daily.co/v1/secrets/{setName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secrets": [
{
"secretKey": "API_KEY",
"secretValue": "your-api-key"
},
{
"secretKey": "DATABASE_URL",
"secretValue": "postgresql://user:pass@host:5432/db"
}
],
"region": "us-west"
}
'{
"status": "OK",
"region": "us-west"
}Authorizations
Authentication requires a Pipecat Cloud Private API token.
Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.
Path Parameters
Name of the secret set to create or update
Required string length:
3 - 63Pattern:
^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$Body
application/json
- Option 1
- Option 2
Array of secret key-value pairs
Minimum array length:
1Show child attributes
Show child attributes
The region where the secret set will be created. If not specified, defaults to the organization's default region. Secrets must be in the same region as the agents that use them. Cannot be changed after creation.
Example:
"us-west"